GuideLab API

Delete Document Footer Logo

Remove the document footer logo from R2 storage and clear the reference in the document settings.

DELETE
/document-settings/logo

Remove the document footer logo from R2 storage and clear the reference in the document settings.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X DELETE "https://example.com/document-settings/logo"
{  "settings": {    "id": "string",    "labId": "string",    "documentType": "string",    "title": "string",    "termsAndConditions": "string",    "footerText": "string",    "footerLogoKey": "string",    "manufactureTitle": "string",    "manufactureText": "string",    "showAdditionalProductInfo": true,    "createdAt": "string",    "updatedAt": "string"  },  "message": "string"}
Empty
Empty
Empty